summaryrefslogtreecommitdiff
path: root/system/fcron/rc.fcron
diff options
context:
space:
mode:
authorRichard Narron <richard@aaazen.com>2014-08-07 13:08:12 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2014-08-07 13:08:46 +0700
commited73b57964157ec624e06d7dbf2270a168e4ab73 (patch)
tree129e83263a9fab19346e3f82002400a477638244 /system/fcron/rc.fcron
parentb44e0e2f9b81b09c16538dd78de42541f76f6105 (diff)
downloadslackbuilds-ed73b57964157ec624e06d7dbf2270a168e4ab73.tar.gz
system/fcron: Added (periodical command scheduler).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/fcron/rc.fcron')
-rw-r--r--system/fcron/rc.fcron21
1 files changed, 21 insertions, 0 deletions
diff --git a/system/fcron/rc.fcron b/system/fcron/rc.fcron
new file mode 100644
index 0000000000..5c826afa44
--- /dev/null
+++ b/system/fcron/rc.fcron
@@ -0,0 +1,21 @@
+#!/bin/sh
+# Start fcron at boot time under Slackware
+#
+# default configuration file is /etc/fcron.conf
+#
+#2014-08-04 R Narron Create for SlackBuild
+
+case "$1" in
+ start)
+ echo "Starting fcron"
+ /usr/sbin/fcron -b
+ ;;
+ stop)
+ echo "Stopping fcron"
+ killall -TERM fcron
+ ;;
+ *)
+ echo "Usage: fcron start|stop"
+ exit 1
+ ;;
+esac